﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media.Animation;

namespace FisheyeButtons1
{
    public partial class Page : UserControl
    {
        public Page()
        {
            InitializeComponent();
        }

        void OnButtonMouseEnter(object sender, MouseEventArgs args)
        {
            DoubleAnimation anima = new DoubleAnimation();
            anima.To = 36;
            anima.Duration = new Duration(TimeSpan.FromSeconds(1));
            Storyboard.SetTarget(anima, sender as Button);
            Storyboard.SetTargetProperty(anima, 
                                    new PropertyPath("FontSize"));
            Storyboard storyboard = new Storyboard();
            storyboard.Children.Add(anima);
            storyboard.Begin();
        }

        void OnButtonMouseLeave(object sender, MouseEventArgs args)
        {
            DoubleAnimation anima = new DoubleAnimation();
            anima.To = 12;
            anima.Duration = new Duration(TimeSpan.FromSeconds(0.25));
            Storyboard.SetTarget(anima, sender as Button);
            Storyboard.SetTargetProperty(anima,
                                    new PropertyPath("FontSize"));
            Storyboard storyboard = new Storyboard();
            storyboard.Children.Add(anima);
            storyboard.Begin();
        }
    }
}
