﻿using System.Windows.Controls;
using System.Windows.Input;
using System.Windows.Media.Animation;

namespace FisheyeButtons3
{
    public partial class FisheyeButton : Button
    {
        public FisheyeButton()
        {
            InitializeComponent();
        }
        protected override void OnMouseEnter(MouseEventArgs args)
        {
            DoubleAnimation anima = 
                        growAnimation.Children[0] as DoubleAnimation;

            growAnimation.Stop();
            Storyboard.SetTarget(anima, this);
            growAnimation.Begin();
            base.OnMouseEnter(args);
        }

        protected override void OnMouseLeave(MouseEventArgs args)
        {
            DoubleAnimation anima =
                        shrinkAnimation.Children[0] as DoubleAnimation;

            shrinkAnimation.Stop();
            Storyboard.SetTarget(anima, this);
            shrinkAnimation.Begin();
            base.OnMouseLeave(args);
        }
    }
}
